Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class RemoteStub

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteStub

All Implemented Interfaces:
  Remote, Serializable

Direct Known Subclasses:
  ActivationGroup_Stub

public abstract class RemoteStub
extends RemoteObject

The `RemoteStub` class is the common superclass to client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`protected` | `RemoteStub()` Constructs a `RemoteStub`.
`protected` | `RemoteStub(RemoteRef ref)` Constructs a `RemoteStub`, with the specified remote reference.

Method Summary
`protected static void` | `setRef(RemoteStub stub, RemoteRef ref)` Deprecated. no replacement. The `setRef` method is not needed since `RemoteStub`s can be created with the `RemoteStub(RemoteRef)` constructor.

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteStub

    protected RemoteStub()

  Constructs a `RemoteStub`.

### RemoteStub

    protected RemoteStub(RemoteRef ref)

  Constructs a `RemoteStub`, with the specified remote reference.

Parameters:
  `ref` - the remote reference
Since:
  JDK1.1

Method Detail

### setRef

    protected static void setRef(RemoteStub stub,
                                 RemoteRef ref)

  Deprecated. no replacement. The `setRef` method is not needed since `RemoteStub`s can be created with the `RemoteStub(RemoteRef)` constructor.

  Sets the remote reference inside the remote stub.

  Parameters:
    `stub` - the remote stub
    `ref` - the remote reference
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.